---
title: "Get Appliances with live stats and status."
slug: "get-appliances-with-live-stats-and-status-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-appliances-with-live-stats-and-status-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Appliances with live stats and status.
Get/appliances/status
Get appliances with stats and status. By default, this API makes the controller to query every active appliance for status. The operation may take long if one or more appliances take long to respond. Using FilterBy to query only a subset of appliances for status can speed this up.
SecurityHTTPType bearer
Query parametersquerystring
Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.
rangestring
'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'
Example0-10
orderBystring
The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.
Examplename
descendingstring
Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.
filterBy
Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.
object property*string additionalProperties
Example{
"name": "us-east",
"tags": "aws"
}
Responses200
Appliances with stats and status.
Expand Allobject
List of appliances with status.
data Array of object (ApplianceWithStatus)
List of appliances with status.
object idstring (uuid)
ID of the object.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring
Name of the object.
Exampleobject
notesstring
Notes for the object. Used for documentation purposes.
ExampleThis object has been created for test purposes.
createdstring (date-time)
Create date.
updatedstring (date-time)
Last update date.
tags Array of string
Array of tags.
Example[
"developer",
"api-created"
]string
activatedboolean
Whether the Appliance is activated or not. If it is not activated, it won't be accessible by the Clients.
pendingCertificateRenewalboolean
Whether the Appliance is pending certificate renewal or not. Should be true for a very short period on certificate renewal.
Examplefalse
versioninteger
Peer version of the Appliance.
Example9
hostnamestring
Hostname of the Appliance. It's used by other Appliances to communicate with and identify this Appliances. Set it to "automatic.hostname.assignment" for cloud appliances in order for it to automatically configure the hostname on activation.
Exampleappgate.company.com
sitestring (uuid)
Site assigned to the Appliance.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
siteNamestring
Name of the Site for this Appliance. For convenience only.
ExampleDefault Site
customizationstring (uuid)
Customization assigned to this Appliance.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
clientInterfaceobject
The details of the Client connection interface.
proxyProtocolboolean
To enable/disable Proxy protocol on this Appliance.
Defaultfalse
hostnamestring
Hostname to connect by the Clients. It will be used to validate the Appliance Certificate. Set it to "automatic.hostname.assignment" for cloud appliances in order for it to automatically configure the hostname on activation.
Exampleappgate.company.com
localHostnamestring
Load hostname that would take effect with Local Site Detection feature.
httpsPortinteger
Port to connect for the Client specific services.
Default443
dtlsPortinteger
Port to connect for the Clients that connects to vpnd on DTLS if enabled.
Default443
stunPortinteger
Port to connect for STUN/TURN services.
Default443
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
overrideSpaModestring
Override SPA mode for this appliance.
Valid values[
"TCP",
"UDP-TCP"
]
adminInterfaceobject
The details of the admin connection interface. Required on Controllers and LogServers.
hostnamestring
Hostname to connect to the admin interface. This hostname will be used to validate the appliance certificate. Set it to "automatic.hostname.assignment" for cloud appliances in order for it to automatically configure the hostname on activation.
Exampleappgate.company.com
httpsPortinteger
Port to connect for admin services.
Default8443
httpsCiphers Array of string
The type of TLS ciphers to allow. See: [https://www.openssl.org/docs/man1.0.2/apps/ciphers.html](https://www.openssl.org/docs/man1.0.2/apps/ciphers.html) for all supported ciphers.
Default[
"TLS13-AES256-GCM-SHA384",
"ECDHE-RSA-AES256-GCM-SHA384",
"ECDHE-RSA-AES128-GCM-SHA256"
]string
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
httpsP12object (P12)
PKCS12 object with X.509 certificate and private key.
idstring (uuid)
Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.
subjectNamestring
Subject name of the certificate in the file.
networkingobject
Networking configuration of the system.
hosts Array of object
/etc/hosts configuration
object hostnamestring
Hostname to map IP to.
Exampleinternal.service.company.com
addressstring
IP for the given hostname for appliance to resolve.
Example10.10.10.10
nics Array of object
System NIC configuration
object enabledboolean
Whether the NIC is active or not.
Exampletrue
namestring
NIC name
Exampleeth0
ipv4object
IPv4 settings for this NIC.
dhcpobject
IPv4 DHCP configuration for the NIC.
enabledboolean
Whether DHCP for IPv4 is enabled.
dnsboolean
Whether to use DHCP for setting IPv4 DNS settings on the appliance.
routersboolean
Whether to use DHCP for setting IPv4 default gateway on the appliance.
ntpboolean
Whether to use DHCP for setting NTP on the appliance.
mtuboolean
Whether to use DHCP for setting MTU on the appliance.
static Array of object
IPv4 static NIC configuration for the NIC.
object addressstring
IPv4 Address of the network interface.
Example10.10.10.1
netmaskinteger
Netmask of the network interface.
Example24
snatboolean
Enable SNAT on this IP.
virtualIpstring
Virtual IP to use for IPv4.
Example10.10.10.24
ipv6object
IPv6 settings for this NIC.
dhcpobject
IPv6 DHCP configuration for the NIC.
enabledboolean
Whether DHCP for IPv6 is enabled.
dnsboolean
Whether to use DHCP for setting IPv6 DNS settings on the Appliance.
ntpboolean
Whether to use DHCP for setting NTP on the appliance.
mtuboolean
Whether to use DHCP for setting MTU on the appliance.
static Array of object
IPv6 static NIC configuration for the NIC.
object addressstring
IPv6 Address of the network interface.
Example2001:db8:0:0:0:ff00:42:8329
netmaskinteger
Netmask of the network interface.
Example24
snatboolean
Enable SNAT on this IP.
virtualIpstring
Virtual IP to use for IPv6.
Example2001:db8:0:0:0:ff00:42:8400
mtuinteger
MTU setting for the NIC. If left empty, appliance default will be used.
Example1500
dnsServers Array of string
DNS Server addresses.
Example[
"172.17.18.19",
"192.100.111.31"
]string
routes Array of object
System route settings.
object addressstring
Address to route.
Example10.0.0.0
netmaskinteger
Netmask for the subnet to route.
Example24
gatewaystring
Gateway to use for routing.
Example10.0.0.254
nicstring
NIC name to use for routing.
Exampleeth0
ntpobject
NTP configuration.
servers Array of object object
NTP server.
hostnamestring
Hostname or IP of the NTP server.
Example0.ubuntu.pool.ntp.org
keyTypestring
Type of key to use for secure NTP communication.
Valid values[
"MD5",
"SHA",
"SHA1",
"SHA256",
"SHA512",
"RMD160"
]
keyNointeger
Identifier number for the key.
sshServerobject
SSH server configuration.
enabledboolean
Whether the SSH Server is enabled on this appliance or not.
Defaultfalse
portinteger
SSH port.
Default22
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
passwordAuthenticationboolean
Whether SSH allows password authentication or not.
Defaulttrue
snmpServerobject
SNMP Server configuration.
enabledboolean
Whether the SNMP Server os enabled on this appliance or not.
Defaultfalse
tcpPortinteger
TCP port for SNMP Server.
Example161
udpPortinteger
UDP port for SNMP Server.
Example161
snmpd.confstring
Raw SNMP configuration.
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
healthcheckServerobject
Healthcheck Server configuration.
enabledboolean
Whether the Healthcheck Server is enabled on this appliance or not.
Defaultfalse
portinteger
Port to connect for Healthcheck Server.
Default5555
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
prometheusExporterobject (PrometheusExporter)
Prometheus Exporter configuration.
enabledboolean
Whether the Prometheus Exporter is enabled on this appliance or not.
Defaultfalse
portinteger
Port to connect for Prometheus Exporter.
Default5556
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
useHTTPSboolean
Whether to use HTTP or HTTPS for the exporter.
Defaultfalse
httpsP12object (P12)
PKCS12 object with X.509 certificate and private key.
idstring (uuid)
Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.
subjectNamestring
Subject name of the certificate in the file.
basicAuthboolean
Enable basic auth for Prometheus Exporter.
Defaultfalse
allowedUsers Array of object
Basic auth users.
object usernamestring Exampleprometheus
labelsDisabled Array of string
List of labels to filter out.
string Valid values[
"collective_id",
"collective_name",
"appliance_id",
"appliance_name",
"appliance_version",
"site_id",
"site_name"
]
pingobject
Rules for allowing ping.
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
logServerobject
Log Server settings. Log Server collects audit logs from all the appliances and stores them.
enabledboolean
Whether the Log Server is enabled on this appliance or not.
Defaultfalse
retentionDaysinteger
How many days of audit logs will be kept.
Default30
controllerobject
Controller settings.
enabledboolean
Whether the Controller is enabled on this appliance or not. Cannot be enabled on an inactive Appliance since some checks need to be done first.
Defaultfalse
gatewayobject
Gateway settings.
enabledboolean
Whether the Gateway is enabled on this appliance or not.
Defaultfalse
suspendedboolean
Whether the Gateway is in suspended mode or not. Suspended state will keep the existing Client connections but will reject new ones.
Defaultfalse
vpnobject
VPN configuration.
weightinteger
Load balancing weight.
Default100
localWeightinteger
Load balancing weight that would take effect with Local Site Detection feature.
allowDestinations Array of object
Destinations to allow tunnels to.
object addressstring
IP address to allow connection.
Example192.168.111.0
netmaskinteger
Netmask to use with address for allowing connections.
Example24
nicstring
NIC name to accept connections on.
Exampleeth1
logForwarderobject
LogForwarder settings. LogForwarder collects audit logs from the appliances in the given sites and sends them to the given endpoints.
enabledboolean
Whether the LogForwarder is enabled on this appliance or not.
Defaultfalse
elasticsearchobject awsIdstring
AWS ID to login. Only required if AWS Access Keys are being used to authenticate.
awsRegionstring
AWS region. Only required if AWS Access Keys are being used to authenticate.
Exampleeu-west-2
useInstanceCredentialsboolean
Whether to use the credentials from the AWS instance or not.
urlstring
The URL of the elasticsearch server.
Examplehttps://aws.com/elasticsearch/instance/asdaxllkmda64
retentionDaysinteger
Optional field to enable log retention on the configured AWS elasticsearch. Defines how many days the audit logs will be kept.
Example30
compatibilityModeinteger
Which version of Elasticsearch that logs are forwarded to.
Default6
authenticationobject
Optional authentication settings used when sending logs to an elasticsearch instance.
typestring
The type of authentication to use.
Valid values[
"Basic",
"ServiceAccounts",
"TokenService",
"ApiKeyService"
]
tcpClients Array of object (TcpClient)
TCP endpoints to connect and send the audit logs with the given format.
object namestring
Name of the endpoint.
ExampleCompany SIEM
hoststring
Hostname or the IP address of the endpoint.
Examplesiem.company.com
portinteger
Port of the endpoint.
Example8888
formatstring
The format to send the audit logs.
Valid values[
"json",
"syslog"
]
useTLSboolean
Whether to use TLS to connect to endpoint or not. If enabled, make sure the LogForwarder appliance trusts the certificate of the endpoint.
filterstring
JMESPath expression to filter audit logs to forward.
Exampleevent_type=='authentication_succeeded'
awsKineses Array of object (AwsKinesis)
AWS Kinesis endpoints to connect and send the audit logs with the given format.
object awsIdstring
AWS ID to login. Only required if AWS Access Keys are being used to authenticate.
awsRegionstring
AWS region. Only required if AWS Access Keys are being used to authenticate.
Exampleeu-west-2
useInstanceCredentialsboolean
Whether to use the credentials from the AWS instance or not.
typestring
AWS Kinesis type
Valid values[
"Stream",
"Firehose"
]
streamNamestring
Name of the stream.
ExampleAppgate_SDP_audit
batchSizeinteger
Batch size for the stream. Used only for "Stream" type.
Default400
numberOfPartitionKeysinteger
Number of partition keys to use for the stream. Used only for "Stream" type.
Default10
filterstring
JMESPath expression to filter audit logs to forward.
Exampleevent_type=='authentication_succeeded'
sumoLogicClients Array of object (SumoLogic)
SumoLogic endpoints to connect and send the audit logs to.
object urlstring
URL of the Sumo Logic collector to connect to.
Examplehttps://hostname.com/collector/677a49eb-da20-4143-ab61-cfd8aec64647
splunkClients Array of object (Splunk)
Splunk endpoints to connect and send the audit logs to.
object urlstring
URL of the Splunk collector to connect to.
Examplehttps://hec.hostname.com:443/services/collector/event
azureMonitors Array of object (AzureMonitor)
Azure Monitor endpoints to connect and send the audit logs to.
object appIdstring
App ID to use for authentication.
tokenRequestUrlstring
URL for Azure Monitor to request token from.
Examplehttps://hostname.com/token
logDestinationUrlstring
URL of Azure Monitor to forward logs to.
Examplehttps://hostname.com/logs
scopestring
Scope that the log forwarder will use in its tokens requests.
Default"https://monitor.azure.com/.default"
falconLogScales Array of object (FalconLogScale)
Falcon LogScale endpoints to connect and send the audit logs to.
object collectorUrlstring
URL of the Falcon LogScale collector.
Examplehttps://api.humio.com
indexstring
Optional name of the repository to ingest into.
sourceTypestring
Translated to #type inside Humio. If set, this is used to choose which Humio parser to use for extracting fields.
sourcestring
Translated to the @source field in Humio.
datadogs Array of object (Datadog)
Datadog endpoints to connect and send the audit logs to.
object sitestring
Datadog site to send logs to.
Examplehttps://http-intake.logs.datadoghq.com
sourcestring
Source to use for the logs.
Exampleappgate
tags Array of string
Tags to add to the logs.
Example[
"appgate",
"appgate-sdp"
]string
coralogixs Array of object (Coralogix)
Coralogix endpoints to connect and send the audit logs to.
object urlstring
URL of the Coralogix collector to connect to.
Examplehttps://api.coralogix.com/api/v1/logs
uuidstring
UUID of the Coralogix collector to connect to.
Example12345678-1234-1234-1234-123456789012
applicationNamestring
Application name to use for the logs.
Exampleappgate
subsystemNamestring
Subsystem name to use for the logs.
Exampleappgate-sdp
sites Array of string
The sites to collect logs from and forward.
string (uuid)
UUID of a site. Use '6f6fa9d9-17b2-4157-9f68-e97662acccdf' to collect logs from all the appliances. Use '6263435b-c9f6-4b7f-99f8-37e2e6b006a9' to collect logs from appliances without a site.
metricsAggregatorobject
Metrics Aggregator settings. It collects metrics from the appliances in the given sites and provides Prometheus APIs for consumption.
enabledboolean
Whether the Metrics Aggregator is enabled on this appliance or not.
Defaultfalse
prometheusExporterobject (PrometheusExporter)
Prometheus Exporter configuration.
enabledboolean
Whether the Prometheus Exporter is enabled on this appliance or not.
Defaultfalse
portinteger
Port to connect for Prometheus Exporter.
Default5556
allowSources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
useHTTPSboolean
Whether to use HTTP or HTTPS for the exporter.
Defaultfalse
httpsP12object (P12)
PKCS12 object with X.509 certificate and private key.
idstring (uuid)
Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.
subjectNamestring
Subject name of the certificate in the file.
basicAuthboolean
Enable basic auth for Prometheus Exporter.
Defaultfalse
allowedUsers Array of object
Basic auth users.
object usernamestring Exampleprometheus
labelsDisabled Array of string
List of labels to filter out.
string Valid values[
"collective_id",
"collective_name",
"appliance_id",
"appliance_name",
"appliance_version",
"site_id",
"site_name"
]
sites Array of string
The sites to collect metrics from.
string (uuid)
UUID of a site. Use '6f6fa9d9-17b2-4157-9f68-e97662acccdf' to collect logs from all the appliances. Use '6263435b-c9f6-4b7f-99f8-37e2e6b006a9' to collect logs from appliances without a site.
connectionBrokerobject
Connection Broker settings.
enabledboolean
Whether the Connection Broker is enabled on this appliance or not.
Defaultfalse
sites Array of string
The sites to broker connections for.
string (uuid)
UUID of a site. Use '6f6fa9d9-17b2-4157-9f68-e97662acccdf' to broker connections for all the appliances. Use '6263435b-c9f6-4b7f-99f8-37e2e6b006a9' to broker connections for appliances without a site.
connectorobject
Connector settings.
enabledboolean
Whether the Connector is enabled on this appliance or not.
Defaultfalse
expressClients Array of object
A list of Clients to run on the appliance with the given configuration. The Clients will get the necessary tokens automatically according to the Site assigned to this Appliance. Currently only one allowed.
object namestring
Name for the Client. It will be mapped to the user claim 'clientName'.
ExamplePrinters
deviceIdstring (uuid)
The device ID to assign to this Client. It will be used to generate device distinguished name.
Example12699e27-b584-464a-81ee-5b4784b6d425
allowResources Array of object
A list of subnets to allow access.
object addressstring
IP address
Example0.0.0.0
netmaskinteger
netmask
Example32
snatToResourcesboolean
Use SNAT for outgoing traffic from the Express Connector, endpoints will see traffic as coming from the Connector itself
Defaulttrue
dnatToResourceboolean
Apply destination NAT to traffic from tunnel into a resource
Defaultfalse
advancedClients Array of object
A list of Clients to run on the appliance with the given configuration. Requires manual Policy configuration.
object namestring
Name for the Client. It will be mapped to the user claim 'clientName'.
ExamplePrinters
deviceIdstring (uuid)
The device ID to assign to this Client. It will be used to generate device distinguished name.
Example12699e27-b584-464a-81ee-5b4784b6d425
allowResources Array of object
Source configuration to allow via iptables.
object addressstring
IP address to allow connection.
Example[
"0.0.0.0",
"::"
]
netmaskinteger
Netmask to use with address for allowing connections.
Example0
nicstring
NIC name to accept connections on.
Exampleeth0
snatToTunnelboolean
Use Source NAT for the Client tunnel.
Defaulttrue
snatToResourcesboolean
Use Source NAT for the resources.
Defaulttrue
dnatToResourceboolean
Apply destination NAT to traffic from tunnel into a resource
Defaultfalse
defaultGatewayboolean
Use this connector client as a default gw for local resources
Defaultfalse
dhcpRelayobject
Enable DHCP relay for this Connector.
servers Array of string
DHCP servers to relay.
string
IPv4 address.
portalobject (Portal)
Portal settings.
enabledboolean
Whether the Portal is enabled on this appliance or not.
Defaultfalse
httpsP12object (P12)
PKCS12 object with X.509 certificate and private key.
idstring (uuid)
Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.
subjectNamestring
Subject name of the certificate in the file.
httpRedirectboolean
Automatic 80->443 redirection for Portal.
Defaulttrue
proxyPorts Array of integer
Ports that can be proxied via Portal.
Default[
443
]integer
proxyP12s Array of object (portal12)
P12 files for proxying traffic to HTTPS endpoints.
object idstring (uuid)
Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.
subjectNamestring
Subject name of the certificate in the file.
verifyUpstreamboolean
Portal will verify upstream certificate of the endpoints.
Defaulttrue
profiles Array of string
Names of the profiles in this Collective to use in the Portal.
string ExamplePortal Users
externalProfiles Array of object (ExternalProfile)
Profiles from other Collectives to use in the Portal.
object idstring (uuid)
Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.
hostnamestring
Hostname parsed from the given URL.
Exampleappgate.company.com
profileNamestring
Profile name parsed from the given URL.
ExampleMain Profile
signInCustomizationobject
Visual customizations to make on the Portal sign-in page.
backgroundColorstring
Changes the background color on the sign-in page. In hexadecimal format.
Example#123456
backgroundImagestring (byte)
Changes the background image on the sign-in page. Must be in PNG, JPEG or GIF format.
logostring (byte)
Changes the logo on the sign-in page. Must be in PNG, JPEG or GIF format.
textstring
Adds a text to the sign-in page.
textColorstring
Changes the text color on the sign-in page. In hexadecimal format.
Example#123456
autoRedirectboolean
If enabled and the user lands on the Portal sign-in page by entering an endpoint URL on the browser, it will be redirected to the endpoint automatically after successfully signing in instead of the Portal Client overview page.
rsyslogDestinations Array of object
Rsyslog destination settings to forward appliance logs.
object selectorstring
Rsyslog selector.
Default"*.*"Example:msg, contains, "[AUDIT]"
templatestring
Rsyslog template to forward logs with.
Default"%HOSTNAME% %msg%"Example%msg:9:$%
destinationstring
Rsyslog server destination.
Example@@10.10.10.2
hostnameAliases Array of string
Hostname aliases. They are added to the Appliance certificate as Subject Alternative Names so it is trusted using different IPs or hostnames. Requires manual certificate renewal to apply changes to the certificate.
Example[
"appgatealias.company.com",
"alias2.appgate.company.com"
]string
statestring
State of the Appliance. For internal use.
functions Array of string (ApplianceFunction)
Functions of the Appliance.
string Valid values[
"Controller",
"Gateway",
"LogServer",
"LogForwarder",
"Connector",
"Portal",
"Metrics Aggregator",
"Connection Broker"
]
statusstring
Appliance Status.
Valid values[
"error",
"warning",
"busy",
"offline",
"n/a",
"healthy"
]
customizationNamestring
The name of the customization applied to the Appliance.
cpunumber
CPU utilization in percentage.
memorynumber
Memory utilization in percentage.
disknumber
Disk utilization in percentage.
numberOfSessionsinteger
Number of sessions.
applianceVersionstring
The Appliance build version.
Example6.3.0
detailsobject
Appliance status details.
versionstring
The Appliance build version.
Example6.3.0
cpuobject (SystemInfo)
System resource information.
totalinteger (int64)
Total.
usedinteger (int64)
Used.
freeinteger (int64)
Free.
percentnumber
Percent.
detailsstring
System information details.
availablenumber
Available.
memoryobject (SystemInfo)
System resource information.
totalinteger (int64)
Total.
usedinteger (int64)
Used.
freeinteger (int64)
Free.
percentnumber
Percent.
detailsstring
System information details.
availablenumber
Available.
diskobject (SystemInfo)
System resource information.
totalinteger (int64)
Total.
usedinteger (int64)
Used.
freeinteger (int64)
Free.
percentnumber
Percent.
detailsstring
System information details.
availablenumber
Available.
networkobject (NetworkInfo)
Network information.
busiestNicstring
Busiest NIC.
detailsobject
Network information details.
property*object additionalProperties
Network information details.
dropininteger
Dropin.
dropoutinteger
Dropout.
rxSpeedstring
RxSpeed.
txSpeedstring
TxSpeed.
ips Array of string
Ips.
string
Ip.
statusstring
Appliance Status.
Valid values[
"error",
"warning",
"busy",
"offline",
"n/a",
"healthy"
]
rolesobject (Roles)
Appliance roles.
controllerobject statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
maintenanceModeboolean
Whether the maintenance mode is active or not on this Controller.
databaseSizestring
Database size.
logServerobject (ApplianceRole)
Status of the given role for an Appliance.
statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
logForwarderobject (ApplianceRole)
Status of the given role for an Appliance.
statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
metricsAggregatorobject (ApplianceRole)
Status of the given role for an Appliance.
statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
connectionBrokerobject statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
relayedobject sessionsinteger
Number of active sessions relayed by the Connection Broker.
Example42
dataThroughputBitsPerSecondnumber (float)
Current throughput on the Connection Broker in bits per second.
Example156.34
gatewayobject statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
numberOfSessionsinteger
Number of active sessions on the Gateway or Portal.
Example156
sessionCountsobject (SessionCounts)
Session counts by connection type.
directinteger
Number of direct sessions.
Example100
directViaNattinteger
Number of direct sessions via NAT-T.
Example20
relayedinteger
Number of relayed sessions.
Example50
connectorobject statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
numberOfSessionsinteger
Number of active sessions on the Gateway or Portal.
Example156
portalobject statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
numberOfSessionsinteger
Number of active sessions on the Gateway or Portal.
Example156
applianceobject statusstring
Status of the role.
Valid values[
"healthy",
"busy",
"warning",
"error",
"n/a"
]
detailsstring
Optional details for extra information like error messages.
ExampleCannot reach appliance. Please check Controller logs.
logDestinationstring
Where the audit logs being sent to.
statestring
State of the Appliance. For internal use.
volumeNumberinteger
The volume number in use.
upgradeobject
Appliance Upgrade.
statusstring
Appliance Upgrade Status.
Valid values[
"idle",
"upgrading"
]
detailsstring
Appliance Upgrade Details.
rangestring
The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.
Example0-30/54
orderBystring
The field name used to sort the list.
Examplename
descendingboolean
Whether the sorting is applied descending or ascending.
queries Array of string
The queries applied to the list.
string
totalCountinteger
The total readable count of entities. Not influenced by the query.
Example328
filterBy Array of object (FilterBy)
The filters applied to the list.
object namestring
The field name the filter is applied to.
Examplename
valuestring
The value used for comparison.
ExampleAWS
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.